## wine1.2-gecko 1.0.0+1

=== build/wince/tools/Makefile ===
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Mozilla CE Shunt Library.
#
# The Initial Developer of the Original Code is Mozilla Corporation.
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#	John Wolfe (wolfe@lobo.us)
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

# this file is used directly during configure as well as included from Makefile.in

DEVENV_FLAG=-

CC=cl -O2

MOZCE_DEVENV=vs$(MOZ_MSVCVERSION)

MOZCE_TOOLS_DIR=$(TOPSRCDIR)/build/wince/tools

ifdef MOZCE_NOT_CONFIGURE
MOZCE_TOOLS_BIN_DIR=$(OBJDIR)/build/wince/tools
else
# if we're building the tools in configure, we want them to go directly to the sdk 
# so they get rebuilt once we have a full environment
MOZCE_TOOLS_BIN_DIR=$(OBJDIR)/dist/sdk/bin
endif

BUILD_SWITCH=$(DEVENV_FLAG)Build
REBUILD_SWITCH=$(DEVENV_FLAG)Rebuild
CLEAN_SWITCH=$(DEVENV_FLAG)clean

ifeq ($(VCINSTALLDIR),)
$(error Environment variable VCINSTALLDIR not set! Are you using MozillaBuild?)
endif

ifeq ($(WINCE_SDK_DIR),)
$(error Environment variable WINCE_SDK_DIR not set! It must be passed to make if not running from configure)
endif

ifeq ($(MOZ_MSVCVERSION),)
$(error Environment variable MOZ_MSVCVERSION not set! Are you using MozillaBuild?)
endif

CFLAGS += \
  -DVC_PATH='"$(subst \,\\,$(VCINSTALLDIR))\\"' \
  -DWM_SDK_PATH='"$(subst \,\\,$(WINCE_SDK_DIR))\\"' \
  -DOGLES_SDK_PATH='"$(subst \,\\,$(OGLES_SDK_DIR))\\"' \
  -DMOZCE_DEVENV='"$(MOZCE_DEVENV)"' \
  -DTOPSRCDIR='"$(TOPSRCDIR)"' \
  $(NULL)

ifneq ($(WINDOWSSDKDIR),)
CFLAGS += -DWIN_SDK_PATH='"$(subst \,\\,$(WINDOWSSDKDIR))"'
else
ifeq ($(SDKDIR),)
$(error Environment variable WINDOWSSDKDIR not set! Are you using MozillaBuild?)
else
CFLAGS += -DWIN_SDK_PATH='"$(subst \,\\,$(SDKDIR))"'
endif
endif

ifdef VPATH
CFLAGS	+= -DSHUNT_INC='"$(OBJDIR)/dist/include/mozce_shunt"'
CFLAGS	+= -DSHUNT_LIB='"$(OBJDIR)/dist/lib"'
CFLAGS	+= -DJEMALLOC_LIB='"$(OBJDIR)/dist/lib/jemalloc.lib"'
endif
CFLAGS += -DEBUG -Zi

SDK_TOOLS = $(MOZCE_TOOLS_BIN_DIR)/arm-wince-as.exe \
            $(MOZCE_TOOLS_BIN_DIR)/arm-wince-gcc.exe \
            $(MOZCE_TOOLS_BIN_DIR)/arm-wince-lib.exe \
            $(MOZCE_TOOLS_BIN_DIR)/arm-wince-link.exe \
            $(MOZCE_TOOLS_BIN_DIR)/arm-wince-res.exe 

all: libs export

libs: $(SDK_TOOLS)

clean: clobber


clobber:
	rm $(MOZCE_TOOLS_BIN_DIR)/*.exe  

$(MOZCE_TOOLS_BIN_DIR)/linkargs.obj:	$(MOZCE_TOOLS_DIR)/linkargs.c $(MOZCE_TOOLS_DIR)/toolspath.h $(MOZCE_TOOLS_DIR)/Makefile
	mkdir -p $(MOZCE_TOOLS_BIN_DIR);
	$(CC) $(CFLAGS) -c -Fo$(MOZCE_TOOLS_BIN_DIR)/linkargs.obj $(MOZCE_TOOLS_DIR)/linkargs.c

$(MOZCE_TOOLS_BIN_DIR)/toolspath.obj:	$(MOZCE_TOOLS_DIR)/toolspath.c $(MOZCE_TOOLS_DIR)/toolspath.h $(MOZCE_TOOLS_DIR)/Makefile
	mkdir -p $(MOZCE_TOOLS_BIN_DIR);
	$(CC) $(CFLAGS) -c -Fo$(MOZCE_TOOLS_BIN_DIR)/toolspath.obj $(MOZCE_TOOLS_DIR)/toolspath.c

$(MOZCE_TOOLS_BIN_DIR)/arm-wince-as.exe:	$(MOZCE_TOOLS_DIR)/arm-wince-as.c $(MOZCE_TOOLS_DIR)/toolspath.h $(MOZCE_TOOLS_DIR)/Makefile $(MOZCE_TOOLS_BIN_DIR)/toolspath.obj
	mkdir -p $(MOZCE_TOOLS_BIN_DIR);
	$(CC) $(CFLAGS) -Fo$(MOZCE_TOOLS_BIN_DIR) -Fe$@ $(MOZCE_TOOLS_DIR)/arm-wince-as.c -link $(MOZCE_TOOLS_BIN_DIR)/toolspath.obj

$(MOZCE_TOOLS_BIN_DIR)/arm-wince-gcc.exe:	$(MOZCE_TOOLS_DIR)/arm-wince-gcc.c $(MOZCE_TOOLS_DIR)/toolspath.h $(MOZCE_TOOLS_DIR)/Makefile $(MOZCE_TOOLS_BIN_DIR)/linkargs.obj $(MOZCE_TOOLS_BIN_DIR)/toolspath.obj
	mkdir -p $(MOZCE_TOOLS_BIN_DIR);
	$(CC) $(CFLAGS) -Fo$(MOZCE_TOOLS_BIN_DIR) -Fe$@ $(MOZCE_TOOLS_DIR)/arm-wince-gcc.c -link $(MOZCE_TOOLS_BIN_DIR)/linkargs.obj $(MOZCE_TOOLS_BIN_DIR)/toolspath.obj

$(MOZCE_TOOLS_BIN_DIR)/arm-wince-lib.exe:	$(MOZCE_TOOLS_DIR)/arm-wince-lib.c $(MOZCE_TOOLS_DIR)/toolspath.h $(MOZCE_TOOLS_DIR)/Makefile $(MOZCE_TOOLS_BIN_DIR)/toolspath.obj
	mkdir -p $(MOZCE_TOOLS_BIN_DIR);
	$(CC) $(CFLAGS) -Fo$(MOZCE_TOOLS_BIN_DIR) -Fe$@ $(MOZCE_TOOLS_DIR)/arm-wince-lib.c -link $(MOZCE_TOOLS_BIN_DIR)/toolspath.obj

$(MOZCE_TOOLS_BIN_DIR)/arm-wince-link.exe:	$(MOZCE_TOOLS_DIR)/arm-wince-link.c $(MOZCE_TOOLS_DIR)/toolspath.h $(MOZCE_TOOLS_DIR)/Makefile $(MOZCE_TOOLS_BIN_DIR)/linkargs.obj $(MOZCE_TOOLS_BIN_DIR)/toolspath.obj
	mkdir -p $(MOZCE_TOOLS_BIN_DIR);
	$(CC) $(CFLAGS) -Fo$(MOZCE_TOOLS_BIN_DIR) -Fe$@ $(MOZCE_TOOLS_DIR)/arm-wince-link.c -link $(MOZCE_TOOLS_BIN_DIR)/linkargs.obj $(MOZCE_TOOLS_BIN_DIR)/toolspath.obj

$(MOZCE_TOOLS_BIN_DIR)/arm-wince-res.exe:	$(MOZCE_TOOLS_DIR)/arm-wince-res.c $(MOZCE_TOOLS_DIR)/toolspath.h $(MOZCE_TOOLS_DIR)/Makefile $(MOZCE_TOOLS_BIN_DIR)/toolspath.obj
	mkdir -p $(MOZCE_TOOLS_BIN_DIR);
	$(CC) $(CFLAGS) -Fo$(MOZCE_TOOLS_BIN_DIR) -Fe$@ $(MOZCE_TOOLS_DIR)/arm-wince-res.c -link $(MOZCE_TOOLS_BIN_DIR)/toolspath.obj


export:: $(SDK_TOOLS)
	mkdir -p $(OBJDIR)/dist/sdk/bin
	cp $^ $(OBJDIR)/dist/sdk/bin

=== security/nss/lib/ckfw/capi/Makefile ===
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
MAKEFILE_CVS_ID = "@(#) $RCSfile: Makefile,v $ $Revision: 1.5 $ $Date: 2007/05/09 00:09:37 $"

include manifest.mn
include $(CORE_DEPTH)/coreconf/config.mk
include config.mk

EXTRA_LIBS = \
	$(DIST)/lib/$(LIB_PREFIX)nssckfw.$(LIB_SUFFIX) \
	$(DIST)/lib/$(LIB_PREFIX)nssb.$(LIB_SUFFIX) \
	$(NULL)

# can't do this in manifest.mn because OS_TARGET isn't defined there.
ifeq (,$(filter-out WIN%,$(OS_TARGET)))

ifdef NS_USE_GCC
EXTRA_LIBS += \
	-L$(NSPR_LIB_DIR) \
	-lplc4 \
	-lplds4 \
	-lnspr4 \
	-lcrypt32 \
	-ladvapi32 \
	-lrpcrt4 \
	$(NULL)
else 
EXTRA_SHARED_LIBS += \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plc4.lib \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plds4.lib \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)nspr4.lib \
        crypt32.lib \
	advapi32.lib \
	rpcrt4.lib \
        $(NULL)
endif # NS_USE_GCC
else

EXTRA_LIBS += \
	-L$(NSPR_LIB_DIR) \
	-lplc4 \
	-lplds4 \
	-lnspr4 \
	$(NULL)
endif


include $(CORE_DEPTH)/coreconf/rules.mk

# Generate certdata.c.
generate:
	$(PERL) certdata.perl < certdata.txt

# This'll need some help from a build person.


ifeq ($(OS_TARGET)$(OS_RELEASE), AIX4.1)
DSO_LDOPTS              = -bM:SRE -bh:4 -bnoentry
EXTRA_DSO_LDOPTS        = -lc
MKSHLIB                 = xlC $(DSO_LDOPTS)

$(SHARED_LIBRARY): $(OBJS)
	@$(MAKE_OBJDIR)
	rm -f $@
	$(MKSHLIB) -o $@ $(OBJS) $(EXTRA_LIBS) $(EXTRA_DSO_LDOPTS)
	chmod +x $@

endif

ifeq ($(OS_TARGET)$(OS_RELEASE), AIX4.2)
LD      += -G
endif

=== debian/changelog ===
wine1.2-gecko (1.0.0+1) natty; urgency=low

  * Simplify debian/rules a lot
  * Convert to native package, include upstream source
    - Still a multiverse package, requires a build step on windows
  * debian/control:
    - Bump standards to 3.9.1
    - conflict/replaces (but don't provide) wine-gecko to remove dummy package
    - remove homepage from description and put in proper field
    - Set self to maintainer
    - remove lpia arch
  * debian/copyright: copyright notices, clarify license

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 04 Apr 2011 03:34:48 -0700

wine1.2-gecko (1.0.0-0ubuntu4) lucid; urgency=low

  * debian/control: conflict with wine1.0-gecko

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 25 Apr 2010 22:51:20 -0700

wine1.2-gecko (1.0.0-0ubuntu3) karmic; urgency=low

  * debian/rules: move building to arch-dependent section to fix amd64

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 31 Aug 2009 15:04:25 -0700

wine1.2-gecko (1.0.0-0ubuntu2) karmic; urgency=low

  * debian/rules: use .dirs file instead of manual directory making

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 31 Aug 2009 13:44:32 -0700

wine1.2-gecko (1.0.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * debian/control: change arch from all to i386, amd64, lpia

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 10 Aug 2009 04:08:37 -0700

wine1.2-gecko (0.9.1-1ubuntu1) karmic; urgency=low

  * Port to karmic and recommend wine1.2
  * Conflict with older Wine geckos
  * Rename Package to wine1.2-gecko (since this is the gecko for Wine1.2)
  * Debian/rules: refer to wine1.2

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 01 Jul 2009 14:17:31 -0700

wine-gecko (0.9.1-0ubuntu2) jaunty; urgency=low

  * No changes upload to port to jaunty

 -- Scott Ritchie <scottritchie@ubuntu.com>  Thu, 30 Apr 2009 22:17:59 -0700

wine-gecko (0.9.1-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * It is unknown what happens if the user downgrades Wine after installing
    - Wine >= 1.1.15 should be safe, however we don't depend on this yet

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 14 Feb 2009 03:29:48 -0800

wine-gecko (0.9.0-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * It is unknown what happens if the user downgrades Wine after installing
    - Wine >= 1.1.12 should be safe, however we don't depend on this yet
  * BUILDING: update information a bit.
    - Jacek Cabin now maintains an upstream git tree with build instructions
  * debian/rules: point to the new version

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 02 Jan 2009 13:41:33 -0800

wine-gecko (0.1.0-0ubuntu1) intrepid; urgency=low

  * Initial debianization by Scott Ritchie.  (LP: #191132)
  * Include MPL in debian/ folder (copied from firefox package)
    - and mention in debian/docs file

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 26 Sep 2008 13:57:28 -0700

=== debian/control ===
Source: wine1.2-gecko
Section: otherosfs
Priority: optional
Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1

Package: wine1.2-gecko
Architecture: i386 amd64
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: wine1.2
Conflicts: wine-gecko
Replaces: wine-gecko
Homepage: http://www.winehq.org/
Description: Microsoft Windows Compatibility Layer (Web Browser)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes the Gecko rendering engine from the Mozilla project for
 displaying web pages in Wine's fake Internet Explorer.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	cp wine_gecko-1.0.0-x86.cab debian/wine1.2-gecko/usr/share/wine/gecko
